TAU_PROFILER_GET_CAL(3)

Name
TAU_PROFILER_GET_CALLS - Gets the number of times this timer, created by TAU_PROFILER_CREATE, is started.

Synopsis

C/C++:

TAU_PROFILER_GET_CALLS(Timer timer, long& calls);

description

TAU_PROFILER_GET_CALLS returns the number of times this timer is started (ie. The number of times the section of code being profiled was executed).

example

>C/C++:

    void *ptr;
    TAU_PROFILER_CREATE(ptr, "foo","", TAU_USER);
    TAU_PROFILER_START(ptr);
    foo(2);
    long calls;
    TAU_PROFILER_GET_CALLS(ptr, &calls);

See Also

TAU_PROFILER_CREATE TAU_PROFILER_START TAU_PROFILER_STOP TAU_PROFILER_GET_CHILD_CALLS TAU_PROFILER_GET_INCLUSIVE_VALUES TAU_PROFILER_GET_ExCLUSIVE_VALUES TAU_PROFILER_GET_COUNTER_INFO